org.richfaces.component

## Class UIDataGrid

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.UIDataAdaptor
      - - org.richfaces.component.UISequence
        - - org.richfaces.component.AbstractDataGrid
          - - org.richfaces.component.UIDataGrid

- All Implemented Interfaces:
    EventListener, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListener, javax.faces.event.SystemEventListenerHolder, IterationStateHolder, ColumnProps, CoreProps, IterationProps, RowColumnStyleProps, SequenceProps, MetaComponentEncoder, MetaComponentResolver, Row

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UIDataGrid
      extends AbstractDataGrid
      implements MetaComponentEncoder, MetaComponentResolver, Row, ColumnProps, CoreProps, IterationProps, RowColumnStyleProps, SequenceProps

  The <rich:dataGrid> component is used to arrange data objects in a grid. Values in the grid can be updated dynamically from the data model, and Ajax updates can be limited to specific rows. The component supports header, footer, and caption facets.

  Author:
    Anton Belevich

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIDataGrid.Properties`

    - ### Nested classes/interfaces inherited from class org.richfaces.component.UIDataAdaptor

      `UIDataAdaptor.ComponentVisitor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.AbstractDataGrid

      `BODY, CAPTION_FACET_NAME, FOOTER, FOOTER_FACET_NAME, HEADER, HEADER_FACET_NAME, NODATA_FACET_NAME`

    - ### Fields inherited from class org.richfaces.component.UIDataAdaptor

      `decodeVisitor, updateVisitor, validateVisitor`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface org.richfaces.component.MetaComponentResolver

      `META_COMPONENT_SEPARATOR_CHAR`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIDataGrid()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.faces.component.UIComponent` | `getCaption()`
    `String` | `getColumnClasses()` Assigns one or more space-separated CSS class names to the columns of the table.
    `int` | `getElements()` Number of elements displayed in the grid
    `String` | `getFamily()`
    `javax.faces.component.UIComponent` | `getFooter()`
    `String` | `getFooterClass()` Space-separated list of CSS style class(es) that will be applied to any footer generated for this column.
    `javax.faces.component.UIComponent` | `getHeader()`
    `String` | `getHeaderClass()` Space-separated list of CSS style class(es) that will be applied to any header generated for this column.
    `javax.faces.component.UIComponent` | `getNoData()`
    `String` | `getRowClasses()` Assigns one or more space-separated CSS class names to the rows of the table.
    `int` | `getRows()`
    `String` | `getStyle()` CSS style(s) to be applied when this component is rendered.
    `String` | `getStyleClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
    `String` | `getTitle()` Advisory title information about markup elements generated for this component.
    `void` | `setCaption(javax.faces.component.UIComponent facet)`
    `void` | `setColumnClasses(String columnClasses)`
    `void` | `setElements(int elements)`
    `void` | `setFooter(javax.faces.component.UIComponent facet)`
    `void` | `setFooterClass(String footerClass)`
    `void` | `setHeader(javax.faces.component.UIComponent facet)`
    `void` | `setHeaderClass(String headerClass)`
    `void` | `setNoData(javax.faces.component.UIComponent facet)`
    `void` | `setRowClasses(String rowClasses)`
    `void` | `setRows(int rows)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setTitle(String title)`

    - ### Methods inherited from class org.richfaces.component.AbstractDataGrid

      `columns, encodeMetaComponent, getColumns, resolveClientId, setColumns, substituteUnresolvedClientId, visitDataChildren, visitFixedChildren`

    - ### Methods inherited from class org.richfaces.component.UISequence

      `captureOrigValue, createComponentState, createExtendedDataModel, createFacesModel, getActualFirst, getActualRows, getFirst, getIterationStatusVar, getRelativeClientId, getRowIndex, getRowKeyConverter, getValue, invokeOnRow, preEncodeBegin, restoreOrigValue, setFirst, setIterationStatusVar, setupVariable, setValue, setValueBinding, setValueExpression, updateState, updateState`

    - ### Methods inherited from class org.richfaces.component.UIDataAdaptor

      `allFixedChildren, broadcast, clearExtendedDataModel, clearInitialState, createUniqueId, dataChildren, doUpdate, extractKeySegment, fixedChildren, getComponentState, getContainerClientId, getContainerClientId, getExtendedDataModel, getIterationState, getLocalComponentState, getRowCount, getRowData, getRowKey, getRowKeyVar, getStateVar, getVar, getVariablesMap, invokeOnComponent, isKeepSaved, isListenerForSource, isRowAvailable, iterate, keepSaved, markInitialState, matchesBaseId, preDecode, preUpdate, preValidate, processDecodes, processDecodesChildren, processEvent, processEvent, processUpdates, processUpdatesChildren, processValidatesChildren, processValidators, queueEvent, resetChildState, resetDataModel, restoreChildState, restoreChildState, restoreState, saveChildState, saveChildState, saveState, setExtendedDataModel, setId, setIterationState, setKeepSaved, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setVar, visitDataChildrenMetaComponents, visitTree, walk, wrapEvent`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, decode, encodeAll, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setParent, setRendered, setRendererType, setTransient`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.component.MetaComponentEncoder

      `encodeMetaComponent`

    - ### Methods inherited from interface org.richfaces.component.MetaComponentResolver

      `resolveClientId, substituteUnresolvedClientId`

    - ### Methods inherited from interface org.richfaces.component.Row

      `columns, setRowKey, walk`

    - ### Methods inherited from interface org.richfaces.component.attribute.IterationProps

      `getFirst, getIterationStatusVar, getRowKeyVar, getStateVar, getValue, getVar, isKeepSaved`

    - ### Methods inherited from interface org.richfaces.component.attribute.SequenceProps

      `getRowKeyConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIDataGrid

          public UIDataGrid()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `UIDataAdaptor`

    - #### getColumnClasses

          public String getColumnClasses()

      Description copied from interface: `RowColumnStyleProps`
      Assigns one or more space-separated CSS class names to the columns of the table. If the CSS class names are comma-separated, each class will be assigned to a particular column in the order they follow in the attribute. If you have less class names than columns, the class will be applied to every n-fold column where n is the order in which the class is listed in the attribute. If there are more class names than columns, the overflow ones are ignored.
      Specified by:
        `getColumnClasses` in interface `RowColumnStyleProps`

    - #### setColumnClasses

          public void setColumnClasses(String columnClasses)

    - #### getElements

          public int getElements()

      Description copied from class: `AbstractDataGrid`
      Number of elements displayed in the grid
      Specified by:
        `getElements` in class `AbstractDataGrid`

    - #### setElements

          public void setElements(int elements)

    - #### getFooterClass

          public String getFooterClass()

      Description copied from interface: `ColumnProps`
      Space-separated list of CSS style class(es) that will be applied to any footer generated for this column.
      Specified by:
        `getFooterClass` in interface `ColumnProps`

    - #### setFooterClass

          public void setFooterClass(String footerClass)

    - #### getHeaderClass

          public String getHeaderClass()

      Description copied from interface: `ColumnProps`
      Space-separated list of CSS style class(es) that will be applied to any header generated for this column.
      Specified by:
        `getHeaderClass` in interface `ColumnProps`

    - #### setHeaderClass

          public void setHeaderClass(String headerClass)

    - #### getRowClasses

          public String getRowClasses()

      Description copied from interface: `RowColumnStyleProps`
      Assigns one or more space-separated CSS class names to the rows of the table. If the CSS class names are comma-separated, each class will be assigned to a particular row in the order they follow in the attribute. If you have less class names than rows, the class will be applied to every n-fold row where n is the order in which the class is listed in the attribute. If there are more class names than rows, the overflow ones are ignored.
      Specified by:
        `getRowClasses` in interface `RowColumnStyleProps`

    - #### setRowClasses

          public void setRowClasses(String rowClasses)

    - #### getRows

          public int getRows()

      Specified by:
        `getRows` in class `AbstractDataGrid`

    - #### setRows

          public void setRows(int rows)

      Overrides:
        `setRows` in class `UISequence`

    - #### getStyle

          public String getStyle()

      Description copied from interface: `CoreProps`
      CSS style(s) to be applied when this component is rendered.
      Specified by:
        `getStyle` in interface `CoreProps`

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

      Description copied from interface: `CoreProps`
      Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getStyleClass` in interface `CoreProps`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### getTitle

          public String getTitle()

      Description copied from interface: `CoreProps`
      Advisory title information about markup elements generated for this component.
      Specified by:
        `getTitle` in interface `CoreProps`

    - #### setTitle

          public void setTitle(String title)

    - #### getCaption

          public javax.faces.component.UIComponent getCaption()

      Specified by:
        `getCaption` in class `AbstractDataGrid`

    - #### setCaption

          public void setCaption(javax.faces.component.UIComponent facet)

    - #### getFooter

          public javax.faces.component.UIComponent getFooter()

      Specified by:
        `getFooter` in class `AbstractDataGrid`

    - #### setFooter

          public void setFooter(javax.faces.component.UIComponent facet)

    - #### getNoData

          public javax.faces.component.UIComponent getNoData()

      Specified by:
        `getNoData` in class `AbstractDataGrid`

    - #### setNoData

          public void setNoData(javax.faces.component.UIComponent facet)

    - #### getHeader

          public javax.faces.component.UIComponent getHeader()

      Specified by:
        `getHeader` in class `AbstractDataGrid`

    - #### setHeader

          public void setHeader(javax.faces.component.UIComponent facet)

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.